Subject: Re: [RFC PATCH v3 00/15] Modernize the build system

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 23 Oct 2024 14:04:21 +0200

On Mon, Oct 21, 2024 at 06:10:10PM -0400, Taylor Blau wrote:
> On Fri, Oct 18, 2024 at 02:23:47PM +0200, Patrick Steinhardt wrote:
> > This series is based on 15030f9556 (The second batch, 2024-10-15) and
> > has the following dependencies:
> >
> >   - ps/cmake-clar at c6d3e52c91 (cmake: set up proper
> >     dependencies for generated clar headers, 2024-10-15).
> >
> >   - ps/upgrade-clar at f3501edb0e (Makefile: adjust sed command for
> >     generating "clar-decls.h", 2024-10-14).
> >
> >   - ps/platform-compat-fixes at 80ebd91b83 (http: fix build error on
> >     FreeBSD, 2024-10-16).
> 
> While this is still sitting on my review queue, I rebuilt this topic
> based on the above (extremely helpful) information, but it seems to
> produce some conflicts when I try to merge it in at the end of 'seen':

Huh, interesting. The first two series had conflicts with each other, so
I wouldn't be surprised if what you see comes from that. Those two
topics have been merged into a single topic now.

I'll send an updated version of this series at the end of this week that
also aims to fix conflicts with 'seen'.

Patrick